LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
List of all members
ExponentialScaling Service Reference

Scaling that scales a value x by taking the power of the base to x. More...

`import"ExponentialScaling.idl";`

Inheritance diagram for ExponentialScaling:

## Additional Inherited Members
Public Member Functions inherited from XScaling
double | doScaling ([in] double value)
| needs to keep relative ordering More...
com::sun::star::chart2::XScaling | getInverseScaling ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Scaling that scales a value x by taking the power of the base to x.

If not mentioned explicitly, the base for the power function is 10.0

The documentation for this service was generated from the following file:

- com/sun/star/chart2/ExponentialScaling.idl